> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delivery History



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/webhooks/{webhook_nanoid}/deliveries
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/webhooks/{webhook_nanoid}/deliveries:
    get:
      tags:
        - B2B Webhooks
      summary: Delivery History
      parameters:
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^we-.*
          in: query
          name: event_nanoid
          required: false
          description: When set, only deliveries for this webhook event are returned.
        - schema:
            type: string
            enum:
              - withdraw_account.duplicated_detected
              - invite.accepted
              - payment.sent
              - deposit.received
              - payment.group.created
              - invite.expired
              - invite.rejected
              - onboarding.step_updated.basic_data
              - onboarding.step_updated.kyc.accepted
              - onboarding.step_updated.kyc.rejected
              - onboarding.step_updated.kyc.pending
              - onboarding.step_updated.rsk
              - onboarding.step_updated.documents
              - onboarding.completed
              - team.member_blocked
              - team.member_added
              - team.member_removed
              - document.signed
              - document.expired
              - document.closed
              - payment.subscription.created
              - payment.subscription.paid
              - payment.chargeback.created
              - payment.chargeback.paid
              - payment.cash_requirement.created
              - payment.cash_requirement.due
              - payment.canceled
              - payment.failed
              - invoice.created
              - invoice.canceled
              - token.transfer
              - deposit.crypto
              - deposit.crosschain
              - deposit.bitcoin
              - deposit.fiat
              - swap.token
              - action_item.created
              - action_item.completed
              - action_item.finished
          in: query
          name: event_type
          required: false
          description: When set, only deliveries for this event type are returned.
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^wh-.*
          in: path
          name: webhook_nanoid
          required: true
          description: Unique identifier of the Webhook Endpoint.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      deliveries:
                        type: array
                        items:
                          type: object
                          properties:
                            delivery_nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^wl-.*
                              description: Unique identifier of the Webhook Delivery.
                            event_nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^we-.*
                              description: Unique identifier of the Webhook Event.
                            event_type:
                              type: string
                              enum:
                                - withdraw_account.duplicated_detected
                                - invite.accepted
                                - payment.sent
                                - deposit.received
                                - payment.group.created
                                - invite.expired
                                - invite.rejected
                                - onboarding.step_updated.basic_data
                                - onboarding.step_updated.kyc.accepted
                                - onboarding.step_updated.kyc.rejected
                                - onboarding.step_updated.kyc.pending
                                - onboarding.step_updated.rsk
                                - onboarding.step_updated.documents
                                - onboarding.completed
                                - team.member_blocked
                                - team.member_added
                                - team.member_removed
                                - document.signed
                                - document.expired
                                - document.closed
                                - payment.subscription.created
                                - payment.subscription.paid
                                - payment.chargeback.created
                                - payment.chargeback.paid
                                - payment.cash_requirement.created
                                - payment.cash_requirement.due
                                - payment.canceled
                                - payment.failed
                                - invoice.created
                                - invoice.canceled
                                - token.transfer
                                - deposit.crypto
                                - deposit.crosschain
                                - deposit.bitcoin
                                - deposit.fiat
                                - swap.token
                                - action_item.created
                                - action_item.completed
                                - action_item.finished
                              description: >-
                                Webhook event type for this delivery (from the
                                associated webhook event).
                            status:
                              type: string
                              enum:
                                - queued
                                - success
                                - failed
                                - retrying
                            response_code:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                              nullable: true
                            created_at:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          required:
                            - delivery_nanoid
                            - event_nanoid
                            - event_type
                            - status
                            - response_code
                            - created_at
                          additionalProperties: false
                      next_cursor:
                        type: string
                        nullable: true
                    required:
                      - deliveries
                      - next_cursor
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````